Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.rico.editor.datamodel
Class MeshData

    java.lang.Object
      de.rico.editor.datamodel.MeshData

Direct Known Subclasses:
  GroundPlaneData, HMTerrainData

    public class MeshData

extends java.lang.Object

This class represents a mesh in the editor|s data model.

Author:
  Frank Bruns

Constructor Summary
`MeshData(java.lang.String path, java.lang.String name, java.lang.String tex, Point3D pos, Point3D rot, boolean rotate, boolean flip, boolean smooth, boolean shadow, BoundingVolume vol)`

Method Summary
`BoundingVolume` | `getBoundingVolumeType()` Returns the type of the bounding volume of the mesh.
`java.lang.String` | `getFilePath()` Returns the file path of the mesh file.
`java.lang.String` | `getName()` Returns the name of the mesh
`Point3D` | `getPosition()` Returns the position of the mesh
`Point3D` | `getRotation()` Returns a tuple containing the three rotation values.
`boolean` | `getSmooth()` Determines whether or not the mesh needs to be smoothed.
`boolean` | `getTexFlip()` Determines whether or not the texture needs to be flipped.
`java.lang.String` | `getTexPath()` Returns the path to the texture file
`boolean` | `getTexRot()` Determines whether or not the texture needs to be rotated.
`boolean` | `isShadowCaster()` Determines whether or not the mesh is a shadow caster.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MeshData

    public MeshData(java.lang.String path,
                    java.lang.String name,
                    java.lang.String tex,
                    Point3D pos,
                    Point3D rot,
                    boolean rotate,
                    boolean flip,
                    boolean smooth,
                    boolean shadow,
                    BoundingVolume vol)

Method Detail

### getFilePath

    public java.lang.String getFilePath()

  Returns the file path of the mesh file.

  Returns:
    file path to mesh file

### getName

    public java.lang.String getName()

  Returns the name of the mesh

  Returns:
    name of the mesh

### getTexPath

    public java.lang.String getTexPath()

  Returns the path to the texture file

  Returns:
    path to the texture file

### getTexRot

    public boolean getTexRot()

  Determines whether or not the texture needs to be rotated.

  Returns:
    texture needs to be rotated? --> true=yes, false=no

### getTexFlip

    public boolean getTexFlip()

  Determines whether or not the texture needs to be flipped.

  Returns:
    texture needs to be flipped? --> true=yes, false=no

### getPosition

    public Point3D getPosition()

  Returns the position of the mesh

  Returns:
    position of the mesh

### getRotation

    public Point3D getRotation()

  Returns a tuple containing the three rotation values.

  Returns:
    a tuple of rotation values

### getSmooth

    public boolean getSmooth()

  Determines whether or not the mesh needs to be smoothed.

  Returns:
    mesh needs to be smoothed? --> true=yes, false=no

### isShadowCaster

    public boolean isShadowCaster()

  Determines whether or not the mesh is a shadow caster.

  Returns:
    mesh casts a shadow? --> true=yes, false=no

### getBoundingVolumeType

    public BoundingVolume getBoundingVolumeType()

  Returns the type of the bounding volume of the mesh.

  Returns:
    bounding volume type

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD